aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'process_directory.sh')
-rwxr-xr-xprocess_directory.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/process_directory.sh b/process_directory.sh
index a7be6ed..4918628 100755
--- a/process_directory.sh
+++ b/process_directory.sh
@@ -27,7 +27,7 @@ f() {
set +x
}
-[ $# -ne 1 ] && { echo "need an argument..."; exit 1; }
+[ $# -lt 1 ] && { echo "need an argument..."; exit 1; }
base="$(pwd)"
root="$(pwd)/cvs-repo"
@@ -42,3 +42,7 @@ mkdir -p "${output}"
echo "processing ${1%,v}" >&2
time f "$1" &> "${output}/"log || { echo "failed $1"; exit 1; }
echo "processed $1" >&2
+
+# Echo the completed pathway if we're in fast mode; this allows
+# create-git.sh to get a head start on this repo once we've finished.
+[ $# -eq 2 ] && echo "$(readlink -f "$final")" >&$2